Subject: bug#4286: CVS: lisp/ido.el -- improve ido-ignore-files

From: Jari Aalto <[email-masked]>
Date: Sun, 06 Dec 2009 21:28:53 +0200

Chong Yidong <[email-masked]> writes:

>>>> Change against Emacs CVS tree as of 2009-08-29 11:5 UTC
>>>>
>>>> 2009-08-29 Jari Aalto <[email-masked]>
>>>>
>>>> * ido.el (ido-ignore-files): Add RCS, svn, darcs, sh, git, mtn
>>>> version control directories.
>>>
>>> This change makes sense only if we never want to change these
>>> directories. In practice, if you are trying to complete a dotfile, you
>>> are already planning to do something funky, so Emacs probably shouldn't
>>> try to do any second-guessing.
>> Dot-file is not the same as version controlled control directory.
>
> By version control directories, you mean .svn, .bzr, etc., right? If I
> understand your proposal correctly, it's to prevent ido from offering
> these directories if the user tries types "." in the minibuffer. But
> in that case, as I said, the intention is clearly to edit a dotfile,
> so something funky is already intended. Correct me if I misunderstand.

Correct.

It's very rare for user to try to edit content of Version Control
directories. These are nor considered "dot-files" in a sense, that they
would be user editable by default. The content of Version Control
directories is managed by external programs.

Examples (Emacs CVS and directory lisp/) where Version Control
directories are ignored:

    loaddefs.el
    bindings.el
    find-cmd.el
    vc-hooks.el

Jari